Go Down

Topic: Arduino on Xcode Project — Official Thread (Read 178607 times) previous topic - next topic

avenue33

I understand your concern.

The real problem is managing different editions x versions x platforms:
  • embedXcode Legacy and embedXcode+ Legacy for Xcode 4 on Mac OS X 10.7 Lion and 10.8 Mountain Lion

  • embedXcode and embedXcode+ for Xcode 5 on 10.8 Mountain Lion and 10.9 Mavericks


My idea was to focus on Xcode 5 on 10.8 Mountain Lion and 10.9 Mavericks. I'll see what I can do for an updated version of  embedXcode+ Legacy for Xcode 4 on Mac OS X 10.7 Lion and 10.8 Mountain Lion.

ScottG

That would be great.  I wouldn't expect you to keep coming out with 2 flavors every time, one for xcode 4 and another for xcode 5.  I would just like there to be an update path for those of us stuck on older hardware and software.

ScottG

How do I download embedXcode+Legacy?  It's not available under the no donation option.  BTW - I donated to this project last April.

ScottG

I just installed EmbedXcode+Legacy.  My project successfully compiled when I ran "Build", but I am getting this error:

Code: [Select]

embedXcode+ • Oct 20, 2013 release 106 • Legacy for Xcode 4 on Mac OS X 10.7 or 10.8

grep: /Users/Scott/Library/Developer/Xcode/Templates/Project Template/embedXcode+/embedXcode+
Sketch.xctemplate/Makefiles/Step2.mk: No such file or directory


I checked and this directory (/Users/Scott/Library/Developer/Xcode/Templates/Project Template/embedXcode+/embedXcode+)
does not exist.  This seems like a directory embedxode should create.  What should I do?

avenue33

I've sent you an updated version of embedXcode Legacy.

Quote
When Mac OS X 10.9 Mavericks is available, the roadmap will focus on porting embedXcode and embedXcode+ to OS X 10.9. embedXcode+Legacy will be no longer maintained.


Please understand I can't develop a specific version of embedXcode to meet one single user's needs.

avenue33

#485
Oct 24, 2013, 08:03 pm Last Edit: Oct 24, 2013, 08:05 pm by avenue33 Reason: 1
Please find a new release of embedXcode.

  • embedXcode  • Oct 24, 2013 release 110 • Mac OS X 10.9 Mavericks compatibility

  • embedXcode+ • Oct 24, 2013 release 110 • Mac OS X 10.9 Mavericks compatibility and extended options for programmer




Mac OS X 10.9 Mavericks allows to read User Manual as an e-book a Mac.

Please note previous versions for Xcode 4 on Mac OS X 10.7 Lion and Mac OS X 10.8 Mountain Lion are deprecated and no longer maintained.

embedXcode+ includes new options for the Adafruit USBtinyISP programmer, including a free parameter and fuses settings.

Happy coding :)

Download

jimaobian

Hi,

Does the code sense work well on your Mavericks ? Upgrading to Ver.110 did no help for me...


avenue33

#487
Oct 25, 2013, 09:29 am Last Edit: Oct 25, 2013, 10:48 am by avenue33 Reason: 1
Strange, as code sense works fine on my Mavericks.

Some forums are reporting issues with code sense on Xcode 5.

I guess we'll need to wait for Xcode 5.0.1 on Mavericks 10.9.1!

jimaobian

I've updated to 5.0.1. However it doesn't work either. I even create a new account, but no help...
Tonight I'll install a new mavericks to test whether the problem exists again~~
I'll give you the feedback tomorrow~~

Thank you~~

jimaobian

Hi~~
A good news that after re-installing the mavericks everything goes well. However I don't know the reason why?

avenue33

Glad to know. Thank you for your feed-back.

I guess a clean install wipes out old files that may be conflicting.

As usual, Apple provides no explanation and no documentation :(

ScottG

I'm trying to upload my sketch to an Arduino Pro-Mini via the FTDI cable.  Embedxcode says it can't find the serial port.  What should I do to get it to recognize the serial port?  I'm using v106 on Mac 10.7.5

avenue33


I'm trying to upload my sketch to an Arduino Pro-Mini via the FTDI cable.  Embedxcode says it can't find the serial port.  What should I do to get it to recognize the serial port?  I'm using v106 on Mac 10.7.5


Support for external programmers has been introduced in release 108.

ScottG

Thanks.  I wish I had a new Mac now so I could use your latest version.

colinbes

#494
Nov 05, 2013, 09:29 pm Last Edit: Nov 05, 2013, 10:02 pm by colinbes Reason: 1
I was wondering if anyone has embedXCode 111 working with Arduino IDE 1.5 on OSX Mavericks for Arduino Due, Xcode version 5.01.

After following the install tutorial and creating a new embedxcode project (embedXcode sketch option) and selecting 'BUILD MyMac 64-bit' option. When I click the run button to build the newly created project I get an error being flagged in Audio.h regarding missing DAC.h file and build fails

Any suggestions, anyone get this to work?

~Colin

Go Up
 


Please enter a valid email to subscribe

Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy